Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom.input
Interface JDOMFactory

All Known Implementing Classes:
  DefaultJDOMFactory

public interface JDOMFactory

`JDOMFactory` is an interface to be used by builders in constructing JDOM objects. The `DefaultJDOMFactory` creates the standard top-level JDOM classes (Element, Document, Comment, etc). Another implementation of this factory could be used to create custom classes.

Author:
  Ken Rune Holland, Phil Nelson

Method Summary
`Attribute` | `attribute(String name, String value)` This will create a new `Attribute` with the specified (local) name and value, and does not place the attribute in a ``Namespace``.
`Attribute` | `attribute(String name, String value, Namespace namespace)` This will create a new `Attribute` with the specified (local) name and value, and in the provided ``Namespace``.
`CDATA` | `cdata(String text)` This creates the CDATA with the supplied text.
`Comment` | `comment(String text)` This creates the comment with the supplied text.
`DocType` | `docType(String elementName)` This will create the `DocType` with the specified element name
`DocType` | `docType(String elementName, String systemID)` This will create the `DocType` with the specified element name and reference to an external DTD.
`DocType` | `docType(String elementName, String publicID, String systemID)` This will create the `DocType` with the specified element name and a reference to an external DTD.
`Document` | `document(Element rootElement)` This will create a new `Document`, with the supplied ``Element`` as the root element, and no ``DocType`` declaration.
`Document` | `document(Element rootElement, DocType docType)` This will create a new `Document`, with the supplied ``Element`` as the root element and the supplied ``DocType`` declaration.
`Element` | `element(String name)` This will create an `Element` in no ``Namespace``.
`Element` | `element(String name, Namespace namespace)` This will create a new `Element` with the supplied (local) name, and define the ``Namespace`` to be used.
`Element` | `element(String name, String uri)` This will create a new `Element` with the supplied (local) name, and specifies the URI of the ``Namespace`` the `Element` should be in, resulting it being unprefixed (in the default namespace).
`Element` | `element(String name, String prefix, String uri)` This will create a new `Element` with the supplied (local) name, and specifies the prefix and URI of the ``Namespace`` the `Element` should be in.
`EntityRef` | `entityRef(String name)` This will create a new `EntityRef` with the supplied name.
`EntityRef` | `entityRef(String name, String publicID, String systemID)` This will create a new `EntityRef` with the supplied name, public ID, and system ID.
`ProcessingInstruction` | `processingInstruction(String target, Map data)` This will create a new `ProcessingInstruction` with the specified target and data.
`ProcessingInstruction` | `processingInstruction(String target, String data)` This will create a new `ProcessingInstruction` with the specified target and data.

Method Detail

### attribute

    public Attribute attribute(String name,
                               String value,
                               Namespace namespace)

  This will create a new `Attribute` with the specified (local) name and value, and in the provided ``Namespace``.

  Parameters:
    `name` - `String` name of `Attribute`.
    `value` - `String` value for new attribute.

### attribute

    public Attribute attribute(String name,
                               String value)

  This will create a new `Attribute` with the specified (local) name and value, and does not place the attribute in a ``Namespace``.

  Note: This actually explicitly puts the `Attribute` in the "empty" `Namespace` (``Namespace.NO_NAMESPACE``).

  Parameters:
    `name` - `String` name of `Attribute`.
    `value` - `String` value for new attribute.

### cdata

    public CDATA cdata(String text)

  This creates the CDATA with the supplied text.

  Parameters:
    `text` - `String` content of CDATA.

### comment

    public Comment comment(String text)

  This creates the comment with the supplied text.

  Parameters:
    `text` - `String` content of comment.

### docType

    public DocType docType(String elementName,
                           String publicID,
                           String systemID)

  This will create the `DocType` with the specified element name and a reference to an external DTD.

  Parameters:
    `elementName` - `String` name of element being constrained.
    `publicID` - `String` public ID of referenced DTD
    `systemID` - `String` system ID of referenced DTD

### docType

    public DocType docType(String elementName,
                           String systemID)

  This will create the `DocType` with the specified element name and reference to an external DTD.

  Parameters:
    `elementName` - `String` name of element being constrained.
    `systemID` - `String` system ID of referenced DTD

### docType

    public DocType docType(String elementName)

  This will create the `DocType` with the specified element name

  Parameters:
    `elementName` - `String` name of element being constrained.

### document

    public Document document(Element rootElement,
                             DocType docType)

  This will create a new `Document`, with the supplied ``Element`` as the root element and the supplied ``DocType`` declaration.

  Parameters:
    `rootElement` - `Element` for document root.
    `docType` - `DocType` declaration.

### document

    public Document document(Element rootElement)

  This will create a new `Document`, with the supplied ``Element`` as the root element, and no ``DocType`` declaration.

  Parameters:
    `rootElement` - `Element` for document root

### element

    public Element element(String name,
                           Namespace namespace)

  This will create a new `Element` with the supplied (local) name, and define the ``Namespace`` to be used.

  Parameters:
    `name` - `String` name of element.

### element

    public Element element(String name)

  This will create an `Element` in no ``Namespace``.

  Parameters:
    `name` - `String` name of element.

### element

    public Element element(String name,
                           String uri)

  This will create a new `Element` with the supplied (local) name, and specifies the URI of the ``Namespace`` the `Element` should be in, resulting it being unprefixed (in the default namespace).

  Parameters:
    `name` - `String` name of element.
    `uri` - `String` URI for `Namespace` element should be in.

### element

    public Element element(String name,
                           String prefix,
                           String uri)

  This will create a new `Element` with the supplied (local) name, and specifies the prefix and URI of the ``Namespace`` the `Element` should be in.

  Parameters:
    `name` - `String` name of element.
    `uri` - `String` URI for `Namespace` element should be in.

### processingInstruction

    public ProcessingInstruction processingInstruction(String target,
                                                       Map data)

  This will create a new `ProcessingInstruction` with the specified target and data.

  Parameters:
    `target` - `String` target of PI.
    `data` - `Map` data for PI, in name/value pairs

### processingInstruction

    public ProcessingInstruction processingInstruction(String target,
                                                       String data)

  This will create a new `ProcessingInstruction` with the specified target and data.

  Parameters:
    `target` - `String` target of PI.
    `rawData` - `String` data for PI.

### entityRef

    public EntityRef entityRef(String name)

  This will create a new `EntityRef` with the supplied name.

  Parameters:
    `name` - `String` name of element.

### entityRef

    public EntityRef entityRef(String name,
                               String publicID,
                               String systemID)

  This will create a new `EntityRef` with the supplied name, public ID, and system ID.

  Parameters:
    `name` - `String` name of element.
    `name` - `String` public ID of element.
    `name` - `String` system ID of element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Jason Hunter, Brett McLaughlin. All Rights Reserved.